# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-05-23 09:35
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Acrolike',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
            ],
            options={
                'db_table': 'acrolike',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Acronym',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('c', models.CharField(blank=True, max_length=50, null=True)),
                ('a', models.CharField(blank=True, max_length=50, null=True)),
                ('m', models.CharField(blank=True, max_length=50, null=True)),
                ('p', models.CharField(blank=True, max_length=50, null=True)),
            ],
            options={
                'db_table': 'acronym',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Audios',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.CharField(max_length=255)),
                ('title', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'audios',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Comments',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('comment', models.TextField()),
                ('name', models.CharField(blank=True, max_length=150, null=True)),
                ('email', models.CharField(blank=True, max_length=255, null=True)),
                ('personid', models.IntegerField(blank=True, db_column='personID', null=True)),
                ('dateadded', models.DateTimeField(db_column='dateAdded')),
                ('datemodified', models.DateTimeField(blank=True, db_column='dateModified', null=True)),
                ('parentid', models.IntegerField(blank=True, db_column='parentID', null=True)),
                ('contentid', models.IntegerField(db_column='contentID')),
                ('ip', models.CharField(blank=True, db_column='IP', max_length=50, null=True)),
            ],
            options={
                'db_table': 'comments',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ContentContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contentid1', models.IntegerField(db_column='contentID1')),
                ('contentid2', models.IntegerField(db_column='contentID2')),
            ],
            options={
                'db_table': 'content_content',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ContentKeyword',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contentid', models.IntegerField(db_column='contentID')),
                ('keywordid', models.IntegerField(db_column='keywordID')),
            ],
            options={
                'db_table': 'content_keyword',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ContentResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contentid', models.IntegerField(db_column='contentID')),
                ('resourceid', models.IntegerField(db_column='resourceID')),
            ],
            options={
                'db_table': 'content_resource',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='ContentTypes',
            fields=[
                ('id', models.IntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'content_types',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Keywords',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'keywords',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='People',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=255, null=True)),
                ('email', models.CharField(blank=True, max_length=255, null=True)),
                ('location', models.CharField(blank=True, max_length=255, null=True)),
                ('login', models.CharField(blank=True, max_length=100, null=True)),
                ('password', models.CharField(blank=True, max_length=16, null=True)),
                ('href', models.CharField(blank=True, max_length=255, null=True)),
                ('bio', models.TextField(blank=True, null=True)),
                ('type', models.IntegerField()),
            ],
            options={
                'db_table': 'people',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='PersonContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('personid', models.IntegerField(db_column='personID')),
                ('contentid', models.IntegerField(db_column='contentID')),
                ('level', models.IntegerField()),
            ],
            options={
                'db_table': 'person_content',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='PersonResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('personid', models.IntegerField(db_column='personID')),
                ('resourceid', models.IntegerField(db_column='resourceID')),
            ],
            options={
                'db_table': 'person_resource',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Resources',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.IntegerField()),
                ('href', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True, null=True)),
                ('mime', models.CharField(blank=True, max_length=10, null=True)),
                ('width', models.IntegerField(blank=True, null=True)),
                ('height', models.IntegerField(blank=True, null=True)),
                ('istech', models.IntegerField(db_column='isTech')),
                ('dateadded', models.DateTimeField(db_column='dateAdded')),
                ('orderno', models.IntegerField(blank=True, db_column='orderNo', null=True)),
            ],
            options={
                'db_table': 'resources',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Videos',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sha1', models.CharField(max_length=50)),
                ('href', models.CharField(max_length=255)),
                ('title', models.TextField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('width', models.IntegerField(blank=True, null=True)),
                ('height', models.IntegerField(blank=True, null=True)),
                ('duration', models.IntegerField(blank=True, null=True)),
                ('thumbno', models.IntegerField(db_column='thumbNo')),
                ('image', models.CharField(blank=True, max_length=255, null=True)),
                ('contentid', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'db_table': 'videos',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Views',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('href', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'db_table': 'views',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Content',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('shortname', models.CharField(db_column='shortName', max_length=255)),
                ('title', models.CharField(max_length=255)),
                ('header', models.TextField(blank=True, null=True)),
                ('body', models.TextField(blank=True, null=True)),
                ('schedule', models.TextField(blank=True, null=True)),
                ('schedulebutton', models.CharField(blank=True, db_column='scheduleButton', max_length=255, null=True)),
                ('optbtn2', models.CharField(blank=True, db_column='optBtn2', max_length=127, null=True)),
                ('opttext2', models.TextField(blank=True, db_column='optText2', null=True)),
                ('optbtn3', models.CharField(blank=True, db_column='optBtn3', max_length=127, null=True)),
                ('opttext3', models.TextField(blank=True, db_column='optText3', null=True)),
                ('technotes', models.TextField()),
                ('image', models.CharField(blank=True, max_length=150, null=True)),
                ('postedby', models.CharField(blank=True, db_column='postedBy', max_length=50, null=True)),
                ('datestart', models.DateField(blank=True, db_column='dateStart', null=True)),
                ('dateend', models.DateField(blank=True, db_column='dateEnd', null=True)),
                ('dateadded', models.DateTimeField(db_column='dateAdded')),
                ('datemodified', models.DateTimeField(blank=True, db_column='dateModified', null=True)),
                ('type', models.IntegerField()),
                ('published', models.IntegerField()),
                ('view', models.IntegerField(blank=True, null=True)),
                ('place', models.CharField(max_length=255)),
                ('parentid', models.IntegerField(db_column='parentId')),
            ],
            options={
                'db_table': 'content',
                'managed': True,
            },
        ),
    ]
